# Booking

| Attribute      | Type    | Description                                                                                                  |
| -------------- | ------- | ------------------------------------------------------------------------------------------------------------ |
| id             | integer | Unique identifier for the booking.                                                                           |
| code           | string  | Visual identifier code of the booking.                                                                       |
| inactive       | integer | <p>Possible values are :</p><ul><li>0: Booking is active</li><li>1: Booking is inactive</li></ul>            |
| pickup\_date   | date    | Pickup date of the booking.                                                                                  |
| delivery\_date | date    | Delivery date of the booking.                                                                                |
| client\_id     | integer | Client ID of the booking.                                                                                    |
| contact        | string  | Contact name of the booking.                                                                                 |
| contact\_phone | string  | Contact phone of the booking.                                                                                |
| contact\_fax   | string  | Contact fax of the booking.                                                                                  |
| distance       | numeric | Total distance of the booking (mile vs km depends on the system settings).                                   |
| po\_num        | string  | PO number of the booking.                                                                                    |
| comm\_num      | string  | Order number of the booking.                                                                                 |
| bol\_num       | string  | BOL number of the booking.                                                                                   |
| invoice        | numeric | Invoice number of the booking.                                                                               |
| price          | numeric | Total price of the booking.                                                                                  |
| creation\_date | date    | Created date.                                                                                                |
| items          | array   | List of the items (load) in the booking (description,value,length,width,height,number,weight,total,details). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gem-suite.com/api-reference/objects/booking.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
